Bug 802368 - One failure in embedded cartridge will cause all other cartridges embedding fail
One failure in embedded cartridge will cause all other cartridges embedding fail
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 07:51 EDT by Xiaoli Tian
Modified: 2015-05-14 21:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:23:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2012-03-12 07:51:19 EDT
Description of problem:
If failed to embed one cartridge to one app, then you can not add other cartridges to the app any more.
And the failed cartridge can not be removed via rhc client.

Version-Release number of selected component (if applicable):
devenv_1658

How reproducible:
Always

Steps to Reproduce:
1.Fail to embed one cartridge like bug 802303
2.Try to add another cartridge 

  
Actual results:
Failed cartridge can not be removed,new cartridge can not be added as well

Expected results:
The cartridges failed to add could be removed, new cartridges could be added

Additional info:
Comment 1 Rajat Chopra 2012-03-12 21:13:52 EDT
Fixed as part of rev# cee79cd9760eb1e1aa21b440f5b32b2ea5054289
Comment 2 Xiaoli Tian 2012-03-13 03:42:35 EDT
(In reply to comment #1)
> Fixed as part of rev# cee79cd9760eb1e1aa21b440f5b32b2ea5054289

Verified this on devenv_1659, failed cartridge is removed automatically.
And new cartridge could be added even after a failure.

Note You need to log in before you can comment on or make changes to this bug.